stages:
  - release

release-image:
  stage: release
  image: docker
  services:
    - docker:dind
  variables:
    DOCKER_TLS_CERTDIR: "/certs"
  before_script:
    - docker login -p $CI_REGISTRY_PASSWORD -u $CI_REGISTRY_USER $CI_REGISTRY
    - docker pull $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME || docker pull $CI_REGISTRY_IMAGE:latest || echo "no base image" # ensure cache-layer are used
  script:
    - docker build
      -t $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
      -f Dockerfile
      .
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
  only:
    - /^pg[0-9]+-latest-leifwind$/
